lensfun 0.2.8.0

- Main Page
- Related Pages
- Modules
- Classes
- Files
- Examples

- Class List
- Class Members

Public Attributes | List of all members
lfLensCalibDistortion Struct Reference
Structures and functions for lenses

Lens distortion calibration data. More...

`#include <lensfun.h>`

## Public Attributes
enum lfDistortionModel | Model
| The type of distortion model used.
float | Focal
| Focal length at which this calibration data was taken (0 - unspecified)
float | Terms [3]
| Distortion coefficients, dependent on model (a,b,c; k1,k2 or omega)

## Detailed Description

Lens distortion calibration data.

Lens distortion depends only of focal length. The library will interpolate the coefficients values if data for the exact focal length is not available.

The documentation for this struct was generated from the following file:

- lensfun.h